<%@ page import="com.opensymphony.util.TextUtils,
                 com.atlassian.jira.config.properties.APKeys,
                 com.atlassian.jira.ManagerFactory,
                 com.atlassian.jira.security.Permissions,
                 java.net.URLEncoder,
                 com.atlassian.jira.web.SessionKeys,
                 com.atlassian.jira.user.UserHistory,
                 com.atlassian.seraph.util.GroupCache,
                 org.ofbiz.core.entity.GenericValue,
                 com.atlassian.seraph.auth.DefaultAuthenticator,
                 com.opensymphony.user.User,
                 com.atlassian.util.profiling.UtilTimerStack,
                 com.atlassian.core.util.StringUtils,
                 com.atlassian.core.util.WebRequestUtils,
                 webwork.action.ActionSupport,
                 com.atlassian.jira.web.action.JiraWebActionSupport,
                 webwork.action.CoreActionContext,
                 webwork.util.ValueStack,
                 java.util.*,
                 webwork.action.ActionContext,
                 webwork.util.ServletValueStack"%>
<%@ page import="com.atlassian.jira.web.action.admin.EditAnnouncementBanner"%>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<%@ taglib uri="sitemesh-decorator" prefix="decorator" %>
<%@ taglib uri="jiratags" prefix="jira" %>

<decorator:usePage id="p" />
<jira:user id="bodytopUser" />

<%
    String topBgColour = headerAP.getDefaultBackedString(APKeys.JIRA_LF_TOP_BGCOLOUR);
    String topTxtColour = headerAP.getDefaultBackedString(APKeys.JIRA_LF_TOP_TEXTCOLOUR);
    String menuBgColour = headerAP.getDefaultBackedString(APKeys.JIRA_LF_MENU_BGCOLOUR);

    String linkColour = headerAP.getDefaultBackedString(APKeys.JIRA_LF_TEXT_LINKCOLOUR);
    String linkAColour = headerAP.getDefaultBackedString(APKeys.JIRA_LF_TEXT_ACTIVE_LINKCOLOUR);

    boolean customLogo = headerAP.getString(APKeys.JIRA_LF_LOGO_URL) != null;
    String jiraLogo = headerAP.getDefaultBackedString(APKeys.JIRA_LF_LOGO_URL);
    String jiraLogoWidth = headerAP.getDefaultBackedString(APKeys.JIRA_LF_LOGO_WIDTH);
    String jiraLogoHeight = headerAP.getDefaultBackedString(APKeys.JIRA_LF_LOGO_HEIGHT);
    String alertHeaderPreview = request.getParameter(EditAnnouncementBanner.ANNOUNCEMENT_PREVIEW);
    String alertHeader = (alertHeaderPreview == null) ? headerAP.getDefaultBackedText(APKeys.JIRA_ALERT_HEADER) : alertHeaderPreview;
    String alertHeaderVisibility = headerAP.getDefaultBackedString(APKeys.JIRA_ALERT_HEADER_VISIBILITY);

    if (jiraLogo != null && !jiraLogo.startsWith("http://") && !jiraLogo.startsWith("https://"))
    {
        jiraLogo = request.getContextPath() + jiraLogo;
    }

    //retrieve from the session if this user is a project admin
    UtilTimerStack.push("ProjectAdmin");
    User u = (User)request.getSession().getAttribute(DefaultAuthenticator.LOGGED_IN_KEY);
    Boolean isProjectAdmin = (Boolean)request.getSession().getAttribute(SessionKeys.USER_PROJECT_ADMIN);
    if (isProjectAdmin == null)
    {
        isProjectAdmin = Boolean.FALSE; //this needs to be set, as it is used further down in this file.
        if (u != null)
        {
            isProjectAdmin = ManagerFactory.getPermissionManager().hasProjects(Permissions.PROJECT_ADMIN, u) ? Boolean.TRUE : Boolean.FALSE;
            request.getSession().setAttribute(SessionKeys.USER_PROJECT_ADMIN, isProjectAdmin);
        }
    }
    UtilTimerStack.pop("ProjectAdmin");
    boolean hasAnyProjects = ManagerFactory.getPermissionManager().hasProjects(Permissions.BROWSE, bodytopUser);
%>

<body bgcolor="#f0f0f0" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" link="<%= linkColour %>" vlink="<%= linkColour %>" alink="<%= linkAColour %>">
<%-- <script type="text/javascript" src="<%= request.getContextPath() %>/includes/js/helptip.js" ></script> --%>
<table class="header" border="0" cellpadding="0" cellspacing="0" width=100%>
  <tr>
    <%-- handle user defined top colour --%>
      <td bgcolor="<%= topBgColour %>">
	  	<table width="100%" cellpadding="0" cellspacing="0" border="0"><tr>
			<td valign="top" width="5%" nowrap><a href="<%= request.getContextPath() %>/secure/Dashboard.jspa"><img class="logo" src="<%= jiraLogo %>" width="<%= jiraLogoWidth %>" height="<%= jiraLogoHeight %>" border="0" alt="<%= headerAP.getDefaultBackedString(APKeys.JIRA_TITLE) %>"></a></td>
            <td valign="bottom" width="65%" nowrap><% if (!customLogo) { %><a href="<%= request.getContextPath() %>/secure/Dashboard.jspa"><font color="<%= topTxtColour %>" size=1><%= headerAP.getDefaultBackedString(APKeys.JIRA_TITLE) %></font></a><% } %>&nbsp;</td>
			<td valign="bottom" align="right" width="30%" nowrap>
				<font color="<%= topTxtColour %>" size="1">
				<% if (bodytopUser != null) { %>
                    <webwork:text name="'bodytop.user'"/>: <%= TextUtils.htmlEncode(bodytopUser.getFullName()) %>&nbsp; &nbsp;
                <% } %>

                <%-- handle the link to the history and saved filters popups--%>
                <%@ include file="headerpopups.jsp" %>
			</td>
		</tr></table>
	  </td>
  </tr>
</table>
<table class="menu" border="0" cellpadding="0" cellspacing="0" width=100%>

<tr><td bgcolor=<%= menuBgColour %>>
	<table border="0" cellspacing="0" cellpadding="0">
	<tr>
		<td width="5"><img src="<%= request.getContextPath() %>/images/border/spacer.gif" width="5" height="20" border="0"></td>
<%-- can't use jira:userInRole here because applyDecorator flushes within tag body --%>
			<page:applyDecorator name="navitem">
                <page:param name="title"><webwork:text name="'alt.text.home'"/></page:param>
				<page:param name="id">home_link</page:param>
				<page:param name="url"><%= request.getContextPath() %>/secure/Dashboard.jspa</page:param>
				<page:param name="selected">/secure/views/dashboard.jsp</page:param>
				<page:param name="selected2">/secure/Dashboard</page:param>
				<page:param name="tooltip"><webwork:text name="'tooltip.home'"/></page:param>
				<page:param name="accesskey"><webwork:text name="'alt.text.home.accessKey'"/></page:param>
			</page:applyDecorator>

<%-- if there are any projects they can browse - show them the browse and find links --%>
<% if (hasAnyProjects) { %>
				<page:applyDecorator name="navitem">
                    <page:param name="title"><webwork:if test="/selectedProject"><webwork:text name="'alt.text.browseproject'"/></webwork:if><webwork:else><webwork:text name="'alt.text.browseprojects'"/></webwork:else></page:param>
                    <page:param name="id">browse_link</page:param>
					<page:param name="url"><%= request.getContextPath() %>/secure/BrowseProject.jspa</page:param>
					<page:param name="selected">/secure/views/browser</page:param>
					<page:param name="selected2">/secure/BrowseProject</page:param>
					<page:param name="tooltip"><webwork:if test="/selectedProject"><webwork:text name="'tooltip.browseproject.active'"><webwork:param name="'value0'" value="/selectedProject/string('name')" /></webwork:text></webwork:if><webwork:else><webwork:text name="'tooltip.browseproject'"/></webwork:else></page:param>
				    <page:param name="accesskey"><webwork:text name="'alt.text.browseproject.accessKey'"/></page:param>
				</page:applyDecorator>
				<page:applyDecorator name="navitem">
                    <page:param name="title"><webwork:text name="'alt.text.findissues'"/></page:param>
                    <page:param name="id">find_link</page:param>
					<page:param name="url"><%= request.getContextPath() %>/secure/IssueNavigator.jspa</page:param>
					<page:param name="selected">/secure/views/navigator/navigator.jsp</page:param>
					<page:param name="selected2">/secure/IssueNavigator</page:param>
					<page:param name="tooltip"><webwork:text name="'tooltip.findissues'"/></page:param>
				    <page:param name="accesskey"><webwork:text name="'alt.text.findissues.accessKey'"/></page:param>
				</page:applyDecorator>
<% } %>

<%-- if there are any projects they can create issues in - show them the link --%>
<% if (ManagerFactory.getPermissionManager().hasProjects(Permissions.CREATE_ISSUE, bodytopUser)) { %>
				<page:applyDecorator name="navitem">
                    <page:param name="title"><webwork:text name="'alt.text.createnewissue'"/></page:param>
                    <page:param name="id">create_link</page:param>
					<page:param name="url"><%= request.getContextPath() %>/secure/CreateIssue!default.jspa</page:param>
					<page:param name="selected">/secure/views/createissue</page:param>
					<page:param name="selected2">/secure/CreateIssue</page:param>
					<page:param name="tooltip"><webwork:text name="'tooltip.createnewissue'"/></page:param>
				    <page:param name="accesskey"><webwork:text name="'alt.text.createnewissue.accessKey'"/></page:param>
				</page:applyDecorator>
<% } %>

<% if (ManagerFactory.getPermissionManager().hasPermission(Permissions.ADMINISTER, bodytopUser) || isProjectAdmin.booleanValue()) { %>
                <page:applyDecorator name="navitem">
                    <page:param name="title"><webwork:text name="'alt.text.admin'"/></page:param>
                    <page:param name="id">admin_link</page:param>
                    <page:param name="url"><%= request.getContextPath() %>/secure/project/ViewProjects.jspa</page:param>
                    <page:param name="selected">/secure/admin/</page:param>
                    <page:param name="selected2">/secure/project/</page:param>
                    <page:param name="tooltip"><webwork:text name   ="'tooltip.admin'"/></page:param>
				    <page:param name="accesskey"><webwork:text name="'alt.text.admin.accessKey'"/></page:param>
                </page:applyDecorator>
<% } %>

        <script type="text/javascript">
            var calledReallyShow = false;
            var calledReallyHide = false;
            var mouseOnText = false;
            var mouseInTip = false;

            function showToolTip()
            {
                mouseOnText = true;
                mouseInTip = false;
                if(!calledReallyShow)
                {
                    calledReallyShow = true;
                    self.setTimeout("reallyShowTip()", 800);
                }
            }

            function recordInTip()
            {
                mouseInTip = true;
                mouseOnText = false;
            }

            function recordOutTip()
            {
                mouseInTip = false;
                fireReallyHide();
            }

            function reallyShowTip()
            {
                calledReallyShow = false;
                if(mouseOnText)
                {
                    document.getElementById('quicksearchhelp').style.display='';
                    document.getElementById('quicksearchhelp').style.top= findPosY(document.getElementById('quickSearchInput')) + 25;
                }
            }

            function hideToolTip()
            {
                mouseOnText = false;
                fireReallyHide();
            }

            function fireReallyHide()
            {
                if(!calledReallyHide)
                {
                    calledReallyHide = true;
                    self.setTimeout("reallyHideTip()", 800);
                }
            }

            function reallyHideTip()
            {
                calledReallyHide = false;
                if(!mouseInTip)
                {
                    document.getElementById('quicksearchhelp').style.display='none';
                }
            }

            function findPosY(obj)
            {
                var curtop = 0;
                if (obj.offsetParent)
                {
                    while (obj.offsetParent)
                    {
                        curtop += obj.offsetTop
                        obj = obj.offsetParent;
                    }
                }
                else if (obj.y)
                    curtop += obj.y;
                return curtop;
            }
        </script>

<%-- if there are any projects they can browse - show them the quick search box --%>
<% if (hasAnyProjects) { %>
        <td align="right" class="navItem" valign="middle" bgcolor="<%= menuBgColour %>" width="100%">
            <form name="quicksearch" action="<%= request.getContextPath() %>/secure/QuickSearch.jspa" method="post" style="padding: 0; margin: 0;">
                <span class="navItem" onmouseover="showToolTip()" onmouseout="hideToolTip()">&nbsp; &nbsp;
                    <webwork:text name="'alt.text.quicksearch'"/>:
                </span>
                <span class="navItem">
                    <input title="<webwork:text name="'alt.text.quicksearch.title'"/>" type="text" size="25" name="searchString" accessKey="q" id="quickSearchInput" valign="absmiddle">&nbsp;
                </span>
            </form>
        </td>
        <td width="5"><img src="<%= request.getContextPath() %>/images/border/spacer.gif" width="5" height="20" border="0"></td>
<% } %>
	</tr>
	</table>
</td>
</tr>
</table>

<% if (alertHeader != null && alertHeader.trim().length() > 0 && ("public".equals(alertHeaderVisibility) || u != null)) { %>
<div class="alertHeader">
<%= alertHeader %>
</div>
<% } %>
<webwork:property value="@helpUtil/helpPath('quicksearch')">
<div onmouseover="recordInTip()" onmouseout="recordOutTip()" id="quicksearchhelp" class="informationBox"
     style="display: none; text-align: center; width: 20em; position: absolute; top: 55px; right: 10px; padding: 0.5em;">
    <webwork:text name="'alt.text.quicksearch.learn.more'">
       <webwork:param name="'value0'"><a href="<webwork:property value="url"/><webwork:property value="parameters['helpURLFragment']" />" target="_jirahelp"></webwork:param>
       <webwork:param name="'value1'"></a></webwork:param>
    </webwork:text>
</div>
</webwork:property>
