<%@ page import="java.util.*"%>
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>


<html>
<head>
	<title><webwork:text name="'admin.generalconfiguration.jira.configuration'"/></title>
</head>

<body>

<p>
<page:applyDecorator name="jiratable">
    <page:param name="title"><webwork:text name="'admin.common.words.settings'"/></page:param>
    <page:param name="width">100%</page:param>
    <page:param name="helpURLFragment">#settings</page:param>
    <page:param name="helpURL">configuration</page:param>
    <page:param name="titleColspan">2</page:param>

    <tr bgcolor="#ffffff">
		<td valign="top" width="40%">&nbsp; <b><webwork:text name="'admin.common.words.title'"/></b></td>
		<td valign="top" width="60%"><webwork:property value="applicationProperties/string('jira.title')"/></td>
	</tr>
    <tr bgcolor="#fffff0">
        <td valign="top">&nbsp; <b><webwork:text name="'admin.common.words.mode'"/></b></td>
        <td valign="top"><webwork:property value="applicationProperties/string('jira.mode')"/></td>
    </tr>
	<tr bgcolor="#ffffff">
		<td valign="top">&nbsp; <b><webwork:text name="'admin.generalconfiguration.base.url'"/></b></td>
		<td valign="top"><a href="<webwork:property value="applicationProperties/string('jira.baseurl')"/>" target="_blank"><webwork:property value="applicationProperties/string('jira.baseurl')"/></a></td>
	</tr>
    <tr bgcolor="#fffff0">
        <td valign="top">&nbsp; <b><webwork:text name="'admin.generalconfiguration.email.from.header'"/></b></td>
        <td valign="top"><webwork:property value="applicationProperties/defaultBackedString('jira.email.fromheader.format')"/></td>
    </tr>
    <tr bgcolor="#ffffff">
		<td valign="top">&nbsp; <b><webwork:text name="'admin.common.words.introduction'"/></b></td>
		<td valign="top"><webwork:property value="applicationProperties/text('jira.introduction')" escape="false" /></td>
	</tr>
</page:applyDecorator>
</p>

<p>
<page:applyDecorator name="jiratable">
    <page:param name="title"><webwork:text name="'admin.generalconfiguration.internationalisation'"/></page:param>
    <page:param name="width">100%</page:param>
    <page:param name="helpURLFragment">#i18n</page:param>
    <page:param name="helpURL">configuration</page:param>
    <page:param name="titleColspan">2</page:param>

    <tr bgcolor="#ffffff">
		<td valign="top" width="40%">&nbsp; <b><webwork:text name="'admin.generalconfiguration.character.encoding'"/></b></td>
		<td valign="top" width="60%"><webwork:property value="applicationProperties/string('webwork.i18n.encoding')" /></td>
	</tr>
    <tr bgcolor="#fffff0">
		<td valign="top">&nbsp; <b><webwork:text name="'admin.generalconfiguration.indexing.language'"/></b></td>
		<td valign="top"><webwork:property value="applicationProperties/string('jira.i18n.language.index')" /></td>
	</tr>
    <tr bgcolor="#ffffff">
		<td valign="top">&nbsp; <b><webwork:text name="'admin.generalconfiguration.installed.languages'"/></b></td>
		<td valign="top">
        <webwork:iterator value="jiraLocaleUtils/installedLocales" status="'status'">
            <webwork:property value="./displayName"/><webwork:if test="@status/last == false"><br></webwork:if>
        </webwork:iterator>
        </td>
	</tr>
    <tr bgcolor="#fffff0">
		<td valign="top">&nbsp; <b><webwork:text name="'admin.generalconfiguration.default.language'"/></b></td>
		<td valign="top"><webwork:property value="applicationProperties/defaultLocale/displayName" /></td>
	</tr>
</page:applyDecorator>
</p>

<p>
<page:applyDecorator name="jiratable">
    <page:param name="title"><webwork:text name="'admin.common.words.options'"/></page:param>
    <page:param name="width">100%</page:param>
    <page:param name="helpURLFragment">#options</page:param>
    <page:param name="helpURL">configuration</page:param>
    <page:param name="titleColspan">2</page:param>

	<tr bgcolor="#ffffff">
		<td valign="top" width="40%">&nbsp; <b><webwork:text name="'admin.generalconfiguration.allow.users.to.vote'"/></b></td>
		<td valign="top" width="60%">
			<webwork:if test="applicationProperties/option('jira.option.voting') == true">
				<font color="009900"><b><webwork:text name="'admin.common.words.on'"/></b></font>
			</webwork:if>
			<webwork:else>
				<font color="990000"><webwork:text name="'admin.common.words.off'"/></font>
			</webwork:else>
		</td>
	</tr>
	<tr bgcolor="#fffff0">
		<td valign="top">&nbsp; <b><webwork:text name="'admin.generalconfiguration.allow.users.to.watch'"/></b></td>
		<td valign="top">
			<webwork:if test="applicationProperties/option('jira.option.watching') == true">
				<font color="009900"><webwork:text name="'admin.common.words.on'"/></font>
			</webwork:if>
			<webwork:else>
				<font color="990000"><webwork:text name="'admin.common.words.off'"/></font>
			</webwork:else>
		</td>
	</tr>
	<tr bgcolor="#ffffff">
		<td valign="top">&nbsp; <b><webwork:text name="'admin.generalconfiguration.allow.unassigned.issues'"/></b></td>
		<td valign="top">
			<webwork:if test="applicationProperties/option('jira.option.allowunassigned') == true">
				<font color="009900"><webwork:text name="'admin.common.words.on'"/></font>
			</webwork:if>
			<webwork:else>
				<font color="990000"><webwork:text name="'admin.common.words.off'"/></font>
			</webwork:else>
		</td>
	</tr>
	<tr bgcolor="#fffff0">
		<td valign="top">&nbsp; <b><webwork:text name="'admin.generalconfiguration.external.user.management'"/></b></td>
		<td valign="top">
			<webwork:if test="applicationProperties/option('jira.option.user.externalmanagement') == true">
				<font color="009900"><webwork:text name="'admin.common.words.on'"/></font>
			</webwork:if>
			<webwork:else>
				<font color="990000"><webwork:text name="'admin.common.words.off'"/></font>
			</webwork:else>
		</td>
	</tr>
	<tr bgcolor="#ffffff">
		<td valign="top">&nbsp; <b><webwork:text name="'admin.generalconfiguration.external.password.management'"/></b></td>
		<td valign="top">
			<webwork:if test="applicationProperties/option('jira.option.user.externalpasswordmanagement') == true">
				<font color="009900"><webwork:text name="'admin.common.words.on'"/></font>
			</webwork:if>
			<webwork:else>
				<font color="990000"><webwork:text name="'admin.common.words.off'"/></font>
			</webwork:else>
		</td>
	</tr>
    <tr bgcolor="#fffff0">
		<td valign="top">&nbsp; <b><webwork:text name="'admin.generalconfiguration.logout.confirmation'"/></b></td>
		<td valign="top">
			<webwork:if test="applicationProperties/defaultBackedString('jira.option.logoutconfirm') == 'never'">
				<b><webwork:text name="'admin.common.words.never'"/></b>
			</webwork:if>
            <webwork:elseIf test="applicationProperties/defaultBackedString('jira.option.logoutconfirm') == 'cookie'">
                <b><webwork:text name="'admin.common.words.cookie'"/></b>
            </webwork:elseIf>
			<webwork:else>
				<b><webwork:text name="'admin.common.words.always'"/></b>
			</webwork:else>
		</td>
	</tr>
    <tr bgcolor="#ffffff">
		<td valign="top">&nbsp; <b><webwork:text name="'admin.generalconfiguration.use.gzip.compression'"/></b></td>
		<td valign="top">
			<webwork:if test="applicationProperties/option('jira.option.web.usegzip') == true">
				<font color="009900"><webwork:text name="'admin.common.words.on'"/></font>
			</webwork:if>
			<webwork:else>
				<font color="990000"><webwork:text name="'admin.common.words.off'"/></font>
			</webwork:else>
		</td>
	</tr>
    <tr bgcolor="#fffff0">
		<td valign="top">&nbsp; <b><webwork:text name="'admin.generalconfiguration.accept.remote.api.calls'"/></b></td>
		<td valign="top">
			<webwork:if test="applicationProperties/option('jira.option.rpc.allow') == true">
				<font color="009900"><webwork:text name="'admin.common.words.on'"/></font>
			</webwork:if>
			<webwork:else>
				<font color="990000"><webwork:text name="'admin.common.words.off'"/></font>
			</webwork:else>
		</td>
	</tr>
    <tr bgcolor="#ffffff">
		<td valign="top">&nbsp; <b><webwork:text name="'admin.generalconfiguration.user.email.visibility'"/></b></td>
		<td valign="top">
			<webwork:if test="applicationProperties/defaultBackedString('jira.option.emailvisible') == 'show'">
				<b><webwork:text name="'admin.generalconfiguration.public'"/></b>
			</webwork:if>
			<webwork:elseIf test="applicationProperties/defaultBackedString('jira.option.emailvisible') == 'hide'">
				<b><webwork:text name="'admin.generalconfiguration.hidden'"/></b>
			</webwork:elseIf>
			<webwork:elseIf test="applicationProperties/defaultBackedString('jira.option.emailvisible') == 'mask'">
				<b><webwork:text name="'admin.generalconfiguration.masked'"/></b>
			</webwork:elseIf>
			<webwork:else>
				<b><webwork:text name="'admin.generalconfiguration.logged.in.only'"/></b>
			</webwork:else>
		</td>
	</tr>
    <tr bgcolor="#fffff0">
		<td valign="top">&nbsp; <b><webwork:text name="'admin.generalconfiguration.enable.email.header'">
		    <webwork:param name="'value0'"></b><br>&nbsp;&nbsp;</webwork:param>
		</webwork:text></td>
		<td valign="top">
			<webwork:if test="applicationProperties/option('jira.option.precedence.header.exclude') == true">
				<font color="009900"><webwork:text name="'admin.common.words.on'"/></font>
			</webwork:if>
			<webwork:else>
				<font color="990000"><webwork:text name="'admin.common.words.off'"/></font>
			</webwork:else>
		</td>
	</tr>
    <webwork:if test="applicationProperties/option('jira.option.cache.issues') == true">
	<tr bgcolor="#ffffff">
		<td valign="top">&nbsp; <b><webwork:text name="'admin.generalconfiguration.cache.issues'"/></b></td>
		<td valign="top">
			<%--<webwork:if test="applicationProperties/option('jira.option.cache.issues') == true">--%>
				<font color="009900"><webwork:text name="'admin.common.words.on'"/></font>
			<%--</webwork:if>
			<webwork:else>
				<font color="990000"><webwork:text name="'admin.common.words.off'"/></font>
			</webwork:else>--%>
		</td>
	</tr>
    </webwork:if>

</page:applyDecorator>
</p>

<p>
<table align="center" bgcolor="bbbbbb" border="0" cellpadding="0" cellspacing="0" width="100%"><tr><td>
<table border="0" cellpadding="3" cellspacing="1" width=100%>
	<tr bgcolor="f0f0f0">
		<td class="colHeaderLink" colspan="2" align="center">
			<a href="EditApplicationProperties!default.jspa"><b><webwork:text name="'admin.common.phrases.edit.configuration'"/></b></a>
		</td>
	</tr>
</table>
</td></tr></table>
</p>

</body>
</html>
