<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<webwork:bean name="'com.atlassian.jira.util.JiraDateUtils'" id="dateUtils" />
<html>
<head>
	<title><webwork:text name="'admin.indexing.jira.indexing'"/></title>
</head>
<body>
<webwork:if test="indexing == true">
    <page:applyDecorator name="jiraform">
    <page:param name="action">IndexReIndex.jspa</page:param>
    <page:param name="submitName"><webwork:text name="'admin.indexing.reindex'"/></page:param>
    <page:param name="width">100%</page:param>
    <page:param name="title"><webwork:text name="'admin.indexing.reindexing'"/></page:param>
    <page:param name="helpURL">searchindex</page:param>
    <%--    <page:param name="helpDescription">with Indexing</page:param>--%>
    <page:param name="description">
        <webwork:if test="reindexTime > 0">
            <p><webwork:text name="'admin.indexing.reindexing.was.successful'">
                <webwork:param name="'value0'"><b><font color="green"></webwork:param>
                <webwork:param name="'value1'"></font></b></webwork:param>
                <webwork:param name="'value2'"><b><webwork:property value="@dateUtils/formatTime(reindexTime)" /></b></webwork:param>
            </webwork:text> <br />
        </webwork:if>
        <p>
        <webwork:text name="'admin.indexing.to.reindex.click.the.button'"/>
        <p>
        <webwork:text name="'admin.indexing.this.may.take.a.minute.or.two'"/>
    </page:param>
    <ui:textfield label="text('admin.indexing.search.index.path')" name="'newIndexPath'">
        <ui:param name="'size'">40</ui:param>
        <ui:param name="'description'">
            <webwork:text name="'admin.indexing.search.index.path.description'"/>
        </ui:param>
    </ui:textfield>
    </page:applyDecorator>
</webwork:if>
<webwork:else>
    <page:applyDecorator name="jiraform">
    <page:param name="action">IndexActivate.jspa</page:param>
    <page:param name="width">100%</page:param>
    <page:param name="submitName"><webwork:text name="'admin.common.words.activate'"/></page:param>
    <page:param name="title"><webwork:text name="'admin.indexing.indexing'"/></page:param>
    <page:param name="helpURL">searchindex</page:param>
    <%--	<page:param name="helpDescription">with Indexing</page:param>--%>
    <page:param name="description">
        <webwork:text name="'admin.indexing.is.currently.off'">
            <webwork:param name="'value0'"><font color="990000"><b></webwork:param>
            <webwork:param name="'value1'"></b></font></webwork:param>
        </webwork:text>
        <p>
        <webwork:text name="'admin.indexing.to.activate'"/>
        <p>
        <webwork:text name="'admin.indexing.this.may.take.a.while'"/>
    </page:param>

    <ui:textfield label="text('admin.indexing.search.index.path')" name="'indexPath'">
        <ui:param name="'size'">40</ui:param>
        <ui:param name="'description'">
            <webwork:text name="'admin.indexing.search.index.path.description'"/>
        </ui:param>
    </ui:textfield>
    </page:applyDecorator>
</webwork:else>
</body>
</html>