<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<html>
    <head>
        <title><webwork:text name="'showconstantshelp.title'"/></title>
    </head>
    <body>
<h1><webwork:text name="'showconstantshelp.heading'"/></h1>

<webwork:bean name="'com.atlassian.jira.web.util.HelpUtil'" id="helpUtil" />
<p>
<table>
<tr>
<td>
<p> <webwork:text name="'showconstantshelp.tracking.issues'"/> </p>


<p><webwork:text name="'showconstantshelp.associated.information'"/></p>

<ul>
    <li>
        <webwork:text name="'showconstantshelp.associated.issuetype'">
            <webwork:param name="'value0'"><a href="#IssueTypes"></webwork:param>
            <webwork:param name="'value1'"></a></webwork:param>
        </webwork:text>
    </li>
    <li><webwork:text name="'showconstantshelp.associated.summary'"/></li>
    <li><webwork:text name="'showconstantshelp.associated.description'"/></li>
    <li><webwork:text name="'showconstantshelp.associated.project'"/></li>
    <li>
        <webwork:text name="'showconstantshelp.associated.components'">
            <webwork:param name="'value0'"><a href=<webwork:property value="@helpUtil/helpPath('component_management')/url"/>></webwork:param>
            <webwork:param name="'value1'"></a></webwork:param>
        </webwork:text>
    </li>
    <li>
        <webwork:text name="'showconstantshelp.associated.affectedversions'">
            <webwork:param name="'value0'"><a href=<webwork:property value="@helpUtil/helpPath('version_management')/url"/>></webwork:param>
            <webwork:param name="'value1'"></a></webwork:param>
        </webwork:text>
    </li>
    <li><webwork:text name="'showconstantshelp.associated.fixversions'"/></li>
    <li><webwork:text name="'showconstantshelp.associated.environment'"/></li>
    <li>
        <webwork:text name="'showconstantshelp.associated.priority'">
            <webwork:param name="'value0'"><a href="#PriorityLevels"></webwork:param>
            <webwork:param name="'value1'"></a></webwork:param>
        </webwork:text>
    </li>
    <li><webwork:text name="'showconstantshelp.associated.assignee'"/></li>
    <li><webwork:text name="'showconstantshelp.associated.reporter'"/></li>
    <li>
        <webwork:text name="'showconstantshelp.associated.status'">
            <webwork:param name="'value0'"><a href="#StatusTypes"></webwork:param>
            <webwork:param name="'value1'"></a></webwork:param>
        </webwork:text>
    </li>
    <li><webwork:text name="'showconstantshelp.associated.changehistory'"/></li>
    <li><webwork:text name="'showconstantshelp.associated.comments'"/></li>
    <li>
        <webwork:text name="'showconstantshelp.associated.resolution'">
            <webwork:param name="'value0'"><a href="#ResolutionTypes"></webwork:param>
            <webwork:param name="'value1'"></a></webwork:param>
        </webwork:text>
    </li>
</ul>

<a name="IssueTypes" />
<div class="formtitle" style="border-bottom: 2px solid #a5b6c6 ;"><webwork:text name="'showconstantshelp.issuetypes.title'"/></div>
<div class="section">

    <p><webwork:text name="'showconstantshelp.issuetypes.description'"/></p>

    <webwork:if test="/subTasksEnabled == true"><webwork:text name="'showconstantshelp.issuetypes.regular'"/></webwork:if>

    <dl>
    <webwork:iterator value="issueTypes">
        <%-- Get the Issue Type Object Instead --%>
        <webwork:property value="/issueType(./string('id'))">
            <dt>
                <webwork:component name="./nameTranslation()" template="constanticon.jsp">
                    <webwork:param name="'contextPath'"><%= request.getContextPath() %></webwork:param>
                    <webwork:param name="'iconurl'" value="./iconUrl" />
                    <webwork:param name="'title'"><webwork:property value="./descTranslation()"/></webwork:param>
                </webwork:component>
                <b><webwork:property value="./nameTranslation()"/></b>
            </dt>
            <dd><webwork:property value="./descTranslation()"/></dd>
        </webwork:property>
    </webwork:iterator>
    </dl>

    <webwork:if test="/subTasksEnabled == true">
        <webwork:text name="'showconstantshelp.issuetypes.subtasks'"/>

        <dl>
        <webwork:iterator value="/subTaskIssueTypes">
            <%-- Get the Issue Type Object Instead --%>
            <webwork:property value="/issueType(./string('id'))">
                <dt>
                    <webwork:component name="./nameTranslation()" template="constanticon.jsp">
                        <webwork:param name="'contextPath'"><%= request.getContextPath() %></webwork:param>
                        <webwork:param name="'iconurl'" value="./iconUrl" />
                        <webwork:param name="'title'"><webwork:property value="./descTranslation()"/></webwork:param>
                    </webwork:component>
                    <b><webwork:property value="./nameTranslation()"/></b>
                </dt>
                <dd><webwork:property value="./descTranslation()"/></dd>
            </webwork:property>
        </webwork:iterator>
        </dl>
    </webwork:if>
</div>

<a name="PriorityLevels" />
<div class="formtitle" style="border-bottom: 2px solid #a5b6c6 ;"><webwork:text name="'showconstantshelp.priority.title'"/></div>
<div class="section">


    <p><webwork:text name="'showconstantshelp.priority.description'"/></p>

    <dl>
    <webwork:iterator value="priorities">
        <dt>
            <webwork:component name="./nameTranslation()" template="constanticon.jsp">
                <webwork:param name="'contextPath'"><%= request.getContextPath() %></webwork:param>
                <webwork:param name="'iconurl'" value="./iconUrl" />
                <webwork:param name="'title'"><webwork:property value="./descTranslation()"/></webwork:param>
            </webwork:component>
            <b><webwork:property value="./nameTranslation()"/></b>
        </dt>
        <dd><webwork:property value="./descTranslation()"/></dd>
    </webwork:iterator>
    </dl>

</div>

<a name="StatusTypes" />
<div class="formtitle" style="border-bottom: 2px solid #a5b6c6 ;"><webwork:text name="'showconstantshelp.status.title'"/></div>
<div class="section">

    <p><webwork:text name="'showconstantshelp.status.description'"/></p>

    <dl>
    <webwork:iterator value="statuses">
        <dt>
            <webwork:component name="./nameTranslation()" template="constanticon.jsp">
                <webwork:param name="'contextPath'"><%= request.getContextPath() %></webwork:param>
                <webwork:param name="'iconurl'" value="./iconUrl" />
                <webwork:param name="'title'"><webwork:property value="./descTranslation()"/></webwork:param>
            </webwork:component>
            <b><webwork:property value="./nameTranslation()"/></b>
        </dt>
        <dd><webwork:property value="./descTranslation()"/></dd>
    </webwork:iterator>
    </dl>

</div>

<a name="ResolutionTypes" />
<div class="formtitle" style="border-bottom: 2px solid #a5b6c6 ;"><webwork:text name="'showconstantshelp.resolution.title'"/></div>

    <div class="section">

    <p><webwork:text name="'showconstantshelp.resolution.description'"/></p>
    <dl>
    <webwork:iterator value="resolutions">

    <dt><b><webwork:property value="./nameTranslation()"/></b></dt><dd><webwork:property value="./descTranslation()"/> </dd>

    </webwork:iterator>
    </dl>

    </div>

</td></tr></table>
</body>
</html>