<%@ page import="com.atlassian.jira.ManagerFactory, com.atlassian.jira.config.properties.APKeys,
                 com.atlassian.jira.config.properties.ApplicationProperties,
                 com.atlassian.jira.util.BuildUtils,
                 com.atlassian.jira.util.EasyList,
                 com.atlassian.jira.web.action.util.JiraLicenseUtils,
                 com.atlassian.license.License,
                 com.atlassian.license.LicenseManager,
                 webwork.action.CoreActionContext,
                 java.util.Date" %>
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="jiratags" prefix="jira" %>
<webwork:if test="$wordExport == true">
    <webwork:if test="/searchRequest/name != null">
        <webwork:property value="/searchRequest/name" id="searchRequestName" />
        <%response.addHeader("content-disposition", "attachment;filename=\"" + pageContext.findAttribute("searchRequestName") + ".doc\";");%>
    </webwork:if>
    <webwork:else>
       <%response.addHeader("content-disposition", "attachment;filename=\"JIRA Full Content Export.doc\";");%>
    </webwork:else>
    <%@include file="/secure/views/issue/wordheader.jsp" %>
</webwork:if>
<webwork:action name="'util.UserAction'" id="user" />
<webwork:bean name="'com.atlassian.jira.web.util.IssueTableBean'" id="issueBean" />
<webwork:bean id="fieldVisibility" name="'com.atlassian.jira.web.bean.FieldVisibilityBean'" />
<html>
<head>
<webwork:if test="$wordExport == true">
    <meta name="decorator" content="none">
    <META HTTP-EQUIV="Content-Type" Content="application/vnd.ms-word; charset=<%= ManagerFactory.getApplicationProperties().getEncoding()%>">

<%
    String baseURL = (request.isSecure() ? "https://" : "http://")
                    + request.getServerName()
                    + (request.getServerPort() != 80 ? ":" + request.getServerPort() : "")
                    + ((request.getContextPath() != null && !"".equals(request.getContextPath())) ? request.getContextPath() : "");
%>
    <BASE href="<%= baseURL %>">
    <%@ include file="/secure/views/navigator/word-css.jsp"%>
</webwork:if>
<webwork:else>
    <meta name="decorator" content="printable">
</webwork:else>
<title><webwork:if test="searchRequest/name">[<webwork:property value="searchRequest/name"/>] </webwork:if><webwork:text name="'navigator.title'"/></title>

</head>
<%
    ApplicationProperties ap = ManagerFactory.getApplicationProperties();
    String linkColour = ap.getDefaultBackedString(APKeys.JIRA_LF_TEXT_LINKCOLOUR);
    String linkAColour = ap.getDefaultBackedString(APKeys.JIRA_LF_TEXT_ACTIVE_LINKCOLOUR);
    boolean pageBreaks = ap.getOption(APKeys.FULL_CONTENT_VIEW_PAGEBREAKS);
%>
<body bgcolor="#ffffff" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" link="<%= linkColour %>" vlink="<%= linkColour %>" alink="<%= linkAColour %>">
<webwork:if test="/searchResults/issues != null">
    <webwork:iterator value="/searchResults/issues" status="'status'"><%-- this is a DocumentIssue object.  We need a GenericValue (until we rewrite this page), so get it from the issueManager --%>
    <webwork:property value="." id="issue" />
    <webwork:property value="/issueManager/issue(./id)" >
    <webwork:property value="." id="issueGv" />

    <table class="grid" cellpadding="0" cellspacing="0" border="0" width="100%">

    <tr>
        <td bgcolor="f0f0f0" colspan="2" valign="top">
        <webwork:if test="@issue/subTask == true">
            <webwork:property value="@issue/parent">
            <b><a id="parent_issue_summary" href="<%= request.getContextPath() %>/browse/<webwork:property value="./string('key')"/>"><webwork:property value="./string('summary')"/></a></b>
            <span style="font-size: 9px">(<a id="parent_issue_key" href="<%= request.getContextPath() %>/browse/<webwork:property value="./string('key')"/>"><webwork:property value="./string('key')"/></a>)</span>
            </webwork:property>
            <h3 class="formtitle"><img src="<%= request.getContextPath() %>/images/icons/link_out_bot.gif" width="16" height="16" border="0" align="absmiddle">
        </webwork:if>
        <webwork:else>
            <h3 class="formtitle">
        </webwork:else>
            [<webwork:property value="string('key')" />] &nbsp; <a href="<%= request.getContextPath()%>/browse/<webwork:property value="string('key')" />"><webwork:property value="string('summary')" /></a>&nbsp;
            <div class="subText">
            <webwork:text name="'issue.field.created'"/>: <font color="336699">
            <% try { %> <webwork:property value="/outlookDate/formatDMY(timestamp('created'))" /> <% } catch (Exception e) {
                // Circumventing Resin 2.1.9+ bug
                out.println(ManagerFactory.getOutlookDateManager().getOutlookDate(null).formatDMY((java.util.Date)CoreActionContext.getValueStack().findValue("timestamp('created')")));
            } %>
 </font> &nbsp;<webwork:text name="'issue.field.updated'"/>: <font color="336699">
             <% try { %><webwork:property value="/outlookDate/formatDMY(timestamp('updated'))" /><% } catch (Exception e) {
                 // Circumventing Resin 2.1.9+ bug
                 out.println(ManagerFactory.getOutlookDateManager().getOutlookDate(null).formatDMY((java.util.Date)CoreActionContext.getValueStack().findValue("timestamp('updated')")));
             } %>
 </font>

            <webwork:property value="./long('project')">
                <webwork:if test="../string('duedate') && @fieldVisibility/fieldHidden(., 'duedate', ../string('type')) == false">
                    &nbsp;<webwork:text name="'issue.field.due'"/>: <font color="336699"><webwork:property value="/outlookDate/formatDMY(../timestamp('duedate'))" /></font>
                </webwork:if>
            </webwork:property>
            </div>
            </h3>
        </td>
    </tr>
    <tr>
        <td width="20%"><strong><webwork:text name="'issue.field.status'"/>:</strong></td>
        <td width="80%"><webwork:property value="/nameTranslation(/constantsManager/status(string('status')))" /></td>
    </tr>
    <tr bgcolor="ffffff">
        <td width="20%"><b><webwork:text name="'issue.field.project'"/>:</b></td>
        <td width="80%"><a href="BrowseProject.jspa?id=<webwork:property value="/projectManager/project(long('project'))/long('id')" />"><webwork:property value="/projectManager/project(long('project'))/string('name')" /></a></td>
    </tr>
    <webwork:property value="./long('project')">
        <webwork:if test="@fieldVisibility/fieldHidden(., 'components', ../string('type')) == false">
            <tr>
                <td><b><webwork:text name="'issue.field.components'"/>:</b></td>
                <td>
                    <webwork:property value="/issueManager/entitiesByIssue('IssueComponent', ..)">
                        <jsp:include page="/includes/snippets/listbynamewithnavlink.jsp">
                            <jsp:param name="navfield" value="component" />
                        </jsp:include>
                    </webwork:property>
                </td>
            </tr>
        </webwork:if>
        <webwork:if test="@fieldVisibility/fieldHidden(., 'versions', ../string('type')) == false">
            <tr>
                <td><b><webwork:text name="'issue.field.affectsversions'"/>:</b></td>
                <td>
                    <webwork:property value="/issueManager/entitiesByIssue('IssueVersion', ..)">
                        <jsp:include page="/includes/snippets/listbynamewithnavlink.jsp">
                            <jsp:param name="navfield" value="version" />
                        </jsp:include>
                    </webwork:property>
                </td>
            </tr>
        </webwork:if>
        <webwork:if test="@fieldVisibility/fieldHidden(., 'fixVersions', ../string('type')) == false">
            <tr>
                <td><b><webwork:text name="'issue.field.fixversions'"/>:</b></td>
                <td>
                    <webwork:property value="/issueManager/entitiesByIssue('IssueFixVersion', ..)">
                         <jsp:include page="/includes/snippets/listbynamewithnavlink.jsp">
                            <jsp:param name="navfield" value="fixfor" />
                        </jsp:include>
                    </webwork:property>
                </td>
            </tr>
        </webwork:if>

    <% License license = LicenseManager.getInstance().getLicense(JiraLicenseUtils.JIRA_LICENSE_KEY);
    if (license !=null && license.isLicenseLevel(EasyList.build(JiraLicenseUtils.JIRA_PROFESSIONAL_LEVEL, JiraLicenseUtils.JIRA_ENTERPRISE_LEVEL))) { %>
        <webwork:if test="../long('security') != null && @fieldVisibility/fieldHidden(., 'security', ../string('type')) == false">
            <tr>
                <td><b><webwork:text name="'issue.field.securitylevel'"/>:</b></td>
                <td>
                    <webwork:property value="@issueBean/securityLevel(..)">
                        <webwork:property value="./string('name')"/>
<webwork:if test="./string('description') != null && ./string('description') != ''"><font size="1"> (<webwork:property value="./string('description')" escape="false" />)</font></webwork:if>
                    </webwork:property>
                </td>
           </tr>
        </webwork:if>
    <% } %>


    </webwork:property>
    </table>

    <br>

    <jsp:include page="/includes/panels/issue_extraproperties.jsp" />

    <webwork:bean name="'com.atlassian.core.util.FileSize'" id="sizeFormatter" />

	<br/>

    <table class="grid" cellpadding="0" cellspacing="0" border="0" width="100%">

        <%-- List attachements --%>
        <jsp:include page="/includes/navigator-full/attachments.jsp" />

		<%-- List Linked Issues --%>
        <jsp:include page="/includes/issue/linking-word.jsp" />

        <%-- List custom fields --%>
        <jsp:include page="/includes/navigator-full/customfields.jsp" />

    </table>

	<%-- Do not display Show/Hide Description section within Word export --%>
    <webwork:if test="$wordExport != true">
        <jsp:include page="/includes/panels/issue_descriptiontable.jsp" />
    </webwork:if>
    <webwork:else>
        <jsp:include page="/includes/panels/issue_descriptiontable_word.jsp" />
    </webwork:else>

    <jsp:include page="/includes/panels/issue_comments.jsp">
        <jsp:param name="noDelete" value="true"/>
    </jsp:include>

    <br />

    <webwork:if test="@status/last == false">
    <webwork:if test="$wordExport != true"><div class="hr"><hr /></div></webwork:if>

    <% // This seems to work only in Opera, and crash Mozilla. So print it only for Opera
       if (pageBreaks)
       {
    %>
        <br style="page-break-before:always;"/>
    <% } %>
    </webwork:if>


</webwork:property></webwork:iterator></webwork:if>

<table width="100%" cellpadding="5" cellspacing="0" border="0">
<tr>
    <td bgcolor="dddddd"><font size="1">
        Generated at <%= new Date () %> <webwork:if test="remoteUser != null">by <webwork:property value="remoteUser/fullName" /></webwork:if> using JIRA <%= BuildUtils.getBuildInformation() %>.
    </font></td>
</tr>

</table>
</body>
</html>
